VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   1440
   ClientLeft      =   5925
   ClientTop       =   3345
   ClientWidth     =   4110
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1440
   ScaleWidth      =   4110
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdResize 
      Caption         =   "Drag my edge to resize me"
      Height          =   435
      Left            =   1050
      TabIndex        =   3
      Top             =   420
      Width           =   2220
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   375
      Left            =   3000
      TabIndex        =   0
      Top             =   960
      Width           =   975
   End
   Begin VB.Label Label2 
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Drag the form to use the GetCursorPos and SetWindowPlacement method"
      Height          =   435
      Left            =   120
      TabIndex        =   2
      Top             =   960
      Width           =   2835
   End
   Begin VB.Label Label1 
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Use the hand to move the form via ReleaseCapture"
      Height          =   255
      Left            =   360
      TabIndex        =   1
      Top             =   40
      Width           =   3735
   End
   Begin VB.Image Image1 
      Height          =   330
      Left            =   0
      Picture         =   "Form1.frx":0000
      Top             =   0
      Width           =   360
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'
' The following are used when moving the form using
' the GetCursorPos and SetWindowPlacement functions.
'
Dim lFormTopMouseDown  As Long
Dim lFormLeftMouseDown As Long
Dim CursorLoc          As POINTAPI
Dim lpwndpl            As WINDOWPLACEMENT

Const SW_SHOWNORMAL = 1

Private Type POINTAPI
    X As Long
    Y As Long
End Type

Private Type RECT
    Left   As Long
    Top    As Long
    Right  As Long
    Bottom As Long
End Type

Private Type WINDOWPLACEMENT
    Length           As Long
    flags            As Long
    ShowCmd          As Long
    ptMinPosition    As POINTAPI
    ptMaxPosition    As POINTAPI
    rcNormalPosition As RECT
End Type

Private Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Private Declare Function SetWindowPlacement Lib "user32" (ByVal hwnd As Long, lpwndpl As WINDOWPLACEMENT) As Long
'
' Thes following are used when using the
' ReleaseCapture method of moving the form.
'
Const HTCAPTION = 2
Const WM_NCLBUTTONDOWN = &HA1
'dss
Const HTLEFT = 10
Const HTRight = 11


Private Declare Function ReleaseCapture Lib "user32" () As Long
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Private Sub cmdQuit_Click()
Unload Me
End Sub

Private Sub cmdResize_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim nParam As Long

With cmdResize
    If X > 0 And X < 100 Then
        nParam = HTLEFT
    ElseIf X > .Width - 100 And X < .Width Then
        nParam = HTRight
    End If
    If nParam Then
        Call ReleaseCapture
        Call SendMessage(.hwnd, WM_NCLBUTTONDOWN, nParam, 0)
    End If
End With
End Sub


Private Sub CmdResize_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim NewPointer As MousePointerConstants

With cmdResize
    If X > 0 And X < 100 Then
        NewPointer = vbSizeWE
    ElseIf X > .Width - 100 And X < .Width Then
        NewPointer = vbSizeWE
    Else
        NewPointer = vbDefault
    End If
    If NewPointer <> .MousePointer Then
        .MousePointer = NewPointer
    End If
End With

End Sub


Private Sub Form_Load()
'
' Initialize.
'
lpwndpl.Length = Len(lpwndpl)
lpwndpl.ShowCmd = SW_SHOWNORMAL
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
'
' Get the cursor position when the mouse button is depressed.
'
Call GetCursorPos(CursorLoc)
lFormTopMouseDown = CursorLoc.Y
lFormLeftMouseDown = CursorLoc.X
End Sub


Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim lFormTopMouseUp  As Long
Dim lFormLeftMouseUp As Long
'
' Get the current mouse position.
'
Call GetCursorPos(CursorLoc)
lFormTopMouseUp = CursorLoc.Y
lFormLeftMouseUp = CursorLoc.X
'
' If it differs (by +/- 5 pixels) from when it was
' depressed, move the form to the new position.
'
If (Abs(Abs(lFormTopMouseUp) - Abs(lFormTopMouseDown)) > 5) Or _
   (Abs(Abs(lFormLeftMouseUp) - Abs(lFormLeftMouseDown)) > 5) Then
    With lpwndpl.rcNormalPosition
        .Top = lFormTopMouseUp
        .Left = lFormLeftMouseUp
        .Right = lFormLeftMouseUp + (Me.Width / Screen.TwipsPerPixelX)
        .Bottom = lFormTopMouseUp + (Me.Height / Screen.TwipsPerPixelY)
        Call SetWindowPlacement(Me.hwnd, lpwndpl)
    End With
End If
End Sub
Private Sub Image1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
Call ReleaseCapture
Call SendMessage(hwnd, WM_NCLBUTTONDOWN, HTCAPTION, 0&)
End Sub
